BeagleWksStructManagerInternal::State Struct Reference

Internal: the state of a BeagleWksStructManager. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::vector< int > | m_fileIdFontIdList
| a list to get the correspondance between fileId and fontId
MWAWEntry | m_header
| the header
MWAWEntry | m_footer
| the footer
std::map< int, BeagleWksStructManager::Frame > | m_idFrameMap
| the map id to frame

## Detailed Description

Internal: the state of a BeagleWksStructManager.

## Constructor & Destructor Documentation

## State()

BeagleWksStructManagerInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_fileIdFontIdList

std::vector<int> BeagleWksStructManagerInternal::State::m_fileIdFontIdList

a list to get the correspondance between fileId and fontId

Referenced by State().

## m_footer

MWAWEntry BeagleWksStructManagerInternal::State::m_footer

the footer

Referenced by State().

## m_header

MWAWEntry BeagleWksStructManagerInternal::State::m_header

the header

Referenced by State().

## m_idFrameMap

std::map<int, BeagleWksStructManager::Frame> BeagleWksStructManagerInternal::State::m_idFrameMap

the map id to frame

Referenced by State().

The documentation for this struct was generated from the following file:

- BeagleWksStructManager.cxx